package models

import (
	"golang.org/x/crypto/bcrypt"
)

// UserDB is a user stored in the database
// dbtable:"users" dbpkey:"username"
type UserDB struct {
	Userinfo

	Password string `json:"-" db:"password"`
}

func (user *UserDB) SetPassword(password string) error {
	hashedPassword, err := bcrypt.GenerateFromPassword([]byte(password), 10)
	if err != nil {
		return err
	}
	user.Password = string(hashedPassword)

	return nil
}
